## rtpL24pay rtpL24pay |

## Types and Values

struct | GstRtpL24Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRTPBaseAudioPayload
                            ╰── GstRtpL24Pay

## Description

Payload raw 24-bit audio into RTP packets according to RFC 3190, section 4. For detailed information see: http://www.rfc-editor.org/rfc/rfc3190.txt

### Example pipeline

    1
    gst-launch-1.0 -v audiotestsrc ! audioconvert ! rtpL24pay ! udpsink

This example pipeline will payload raw audio. Refer to the rtpL24depay example to depayload and play the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>,David Holroyd <dave@badgers-in-foil.co.uk>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S24BE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string)L24, channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstRtpL24Pay

    struct GstRtpL24Pay;

## See Also

rtpL24depay